libsmf

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
smf_track_struct Struct Reference

Represents a single track. More...

`#include <smf.h>`

## Data Fields
smf_t * | smf
int | track_number
int | number_of_events
void * | file_buffer
| These are private fields using only by loading and saving routines. More...
int | file_buffer_length
int | last_status
int | next_event_offset
| Private, used by smf.c. More...
int | next_event_number
int | time_of_next_event
| Absolute time of next event on events_queue. More...
GPtrArray * | events_array
void * | user_pointer
| API consumer is free to use this for whatever purpose. More...

## Detailed Description

Represents a single track.

Definition at line 271 of file smf.h.

## Field Documentation

GPtrArray* smf_track_struct::events_array

Definition at line 289 of file smf.h.

Referenced by smf_event_remove_from_track(), smf_track_add_event(), smf_track_delete(), smf_track_get_event_by_number(), and smf_track_new().

void* smf_track_struct::file_buffer

These are private fields using only by loading and saving routines.

Definition at line 278 of file smf.h.

Referenced by smf_load_from_memory().

int smf_track_struct::file_buffer_length

Definition at line 279 of file smf.h.

Referenced by smf_load_from_memory().

int smf_track_struct::last_status

Definition at line 280 of file smf.h.

int smf_track_struct::next_event_number

Definition at line 285 of file smf.h.

Referenced by smf_event_remove_from_track(), smf_find_track_with_next_event(), smf_rewind(), smf_track_add_event(), smf_track_get_next_event(), and smf_track_new().

int smf_track_struct::next_event_offset

Private, used by smf.c.

Offset into buffer, used in parse_next_event().

Definition at line 284 of file smf.h.

Referenced by smf_load_from_memory().

int smf_track_struct::number_of_events

Definition at line 275 of file smf.h.

Referenced by smf_event_remove_from_track(), smf_rewind(), smf_track_add_event(), smf_track_delete(), smf_track_get_event_by_number(), smf_track_get_last_event(), smf_track_get_next_event(), and smf_track_remove_from_smf().

smf_t* smf_track_struct::smf

Definition at line 272 of file smf.h.

Referenced by maybe_add_to_tempo_map(), smf_add_track(), smf_event_is_last(), smf_event_remove_from_track(), smf_track_add_event(), smf_track_add_event_delta_pulses(), smf_track_add_event_pulses(), smf_track_add_event_seconds(), smf_track_delete(), and smf_track_remove_from_smf().

int smf_track_struct::time_of_next_event

Absolute time of next event on events_queue.

Definition at line 288 of file smf.h.

Referenced by smf_find_track_with_next_event(), smf_rewind(), and smf_track_get_next_event().

int smf_track_struct::track_number

Definition at line 274 of file smf.h.

Referenced by smf_add_track(), smf_seek_to_event(), smf_track_add_event(), and smf_track_remove_from_smf().

void* smf_track_struct::user_pointer

API consumer is free to use this for whatever purpose.

NULL in freshly allocated track. Note that tracks might be deallocated not only explicitly, by calling smf_track_delete(), but also implicitly, e.g. when calling smf_delete() with tracks still added to the smf; there is no mechanism for libsmf to notify you about removal of the track.

Definition at line 295 of file smf.h.

The documentation for this struct was generated from the following file:

- smf.h